| Cabal-1.2.4.0: A framework for packaging Haskell software | Source code | Contents | Index

Distribution.Package

Portability | portable
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>

Description
Packages are fundamentally just a name and a version.
Synopsis

data PackageIdentifier = PackageIdentifier {

pkgName :: String
pkgVersion :: Version

}

showPackageId :: PackageIdentifier -> String
parsePackageId :: ReadP r PackageIdentifier
parsePackageName :: ReadP r String

Documentation

data PackageIdentifier | Source

The name and version of a package.
Constructors

PackageIdentifier |

pkgName :: String | The name of this package, eg. foo
pkgVersion :: Version | the version of this package, eg 1.2

Instances

Eq PackageIdentifier
Ord PackageIdentifier
Read PackageIdentifier
Show PackageIdentifier

showPackageId :: PackageIdentifier -> String | Source

Creates a string like foo-1.2

parsePackageId :: ReadP r PackageIdentifier | Source

A package ID looks like foo-1.2.

parsePackageName :: ReadP r String | Source

Produced by Haddock version 0.9